package notification

import (
	"net/http"

	"tydata-server/app/main/api/internal/logic/notification"
	"tydata-server/app/main/api/internal/svc"
	"tydata-server/common/result"
)

func GetNotificationsHandler(svcCtx *svc.ServiceContext) http.HandlerFunc {
	return func(w http.ResponseWriter, r *http.Request) {
		l := notification.NewGetNotificationsLogic(r.Context(), svcCtx)
		resp, err := l.GetNotifications()
		result.HttpResult(r, w, resp, err)
	}
}
